For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Request featuresContact support
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
DocsAPI ReferenceGraphQLIntegrationsDeveloper ToolsMNO and Resellers
  • Docs
    • Event types
    • Tariff
  • API Reference
        • GETGet an organization's prepaid balance
        • POSTUpdate an organization's prepaid balance
        • DELReset an organization's prepaid balance
        • GETList balance transactions
        • GETList available transaction types
        • GETList billing periods
        • GETList billing details
        • GETList billing config
        • PATCHUpdate billing config
        • GETList an organization's custom rates
        • POSTCreate a new custom rate for an organization
        • DELDelete an organization's custom rate
        • POSTAssign an inclusive volume to an organization
        • DELDelete an organization's inclusive volume
LogoLogo
Request featuresContact support
API ReferenceBilling

Update an organization's prepaid balance

POST
https://cdn.emnify.net/api/v1/organisation/:org_id/balance
POST
/api/v1/organisation/:org_id/balance
$curl -X POST https://cdn.emnify.net/api/v1/organisation/1.1/balance \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "amount": 12,
> "external_payment_identifier": "ee72882-183883191d-131341",
> "payment_option": {
> "id": 1
> },
> "type": {
> "id": 1
> }
>}'
1{}
Does a Top-Up, Reset or Credit note on the Prepaid balance of the given organization. If there is a Balance in any other than the organization's currency, a Reset has to be issued first. The API expects the following values: - `amount`: the amount that should be added to the organizations prepaid balance. even if another transaction type is selected, `amount` will always be added to the current balance. - `transaction`: the type of the transaction that has been done (top-up = 1, credit note = 2, balance reset = 3). this value has to be provided as a nested `id` field and is only a description for the transaction. - `payment_option`: the payment option that has to be associated with the request - `external_payment_identifier`: the identifier for an external payment transaction
Was this page helpful?
Previous

Get an organization's prepaid balance

Next

Reset an organization's prepaid balance

Built with

Does a Top-Up, Reset or Credit note on the Prepaid balance of the given organization. If there is a Balance in any other than the organization’s currency, a Reset has to be issued first.

The API expects the following values:

  • amount: the amount that should be added to the organizations prepaid balance. even if another transaction type is selected, amount will always be added to the current balance.
  • transaction: the type of the transaction that has been done (top-up = 1, credit note = 2, balance reset = 3). this value has to be provided as a nested id field and is only a description for the transaction.
  • payment_option: the payment option that has to be associated with the request
  • external_payment_identifier: the identifier for an external payment transaction

Authentication

AuthorizationBearer

An auth_token should be provided to authenticate a session.

To obtain an auth_token, see the POST request to /api/v1/authenticate.

Path parameters

org_iddoubleRequired
Numerical ID of an organization

Request

This endpoint expects an object.
amountdoubleOptional
external_payment_identifierstringOptional
payment_optionobjectOptional
typeobjectOptional

Response

the balance has been updated with the specified amount.

Errors

400
Bad Request Error
422
Unprocessable Entity Error